package com.jscape.util.io;

import java.io.IOException;

/**
 * @author Alex Usun
 */
public interface WritableFile<T> {

    boolean writeAllowed();

    void write(T data)
            throws IOException;

}
